Subject: [PATCH v5 15/30] arm64/sve: Signal handling support

From: [email-masked] (Will Deacon)
Date: Mon, 11 Dec 2017 14:07:20 +0000

On Thu, Dec 07, 2017 at 10:50:38AM -0800, Kees Cook wrote:
> My question is mainly: why not just use copy_*() everywhere instead?
> Having these things so spread out makes it fragile, and there's very
> little performance benefit from using __copy_*() over copy_*().

I think that's more of a general question. Why not just remove the __
versions from the kernel entirely if they're not worth the perf?

Will